var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { html, LitElement, svg } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { GND, VCC } from './pin';
let GasSensorElement = class GasSensorElement extends LitElement {
    constructor() {
        super(...arguments);
        this.ledPower = false;
        this.ledD0 = false;
        this.pinInfo = [
            { name: 'AOUT', y: 16.5, x: 137, number: 1, signals: [] },
            { name: 'DOUT', y: 26.4, x: 137, number: 2, signals: [] },
            { name: 'GND', y: 36.5, x: 137, number: 3, signals: [GND()] },
            { name: 'VCC', y: 46.2, x: 137, number: 4, signals: [VCC()] },
        ];
    }
    render() {
        const { ledPower, ledD0 } = this;
        return html `
      <svg
        width="36.232mm"
        height="16.617mm"
        fill-rule="evenodd"
        version="1.1"
        viewBox="0 0 137 59.5"
        xmlns="http://www.w3.org/2000/svg"
      >
        <defs>
          <pattern id="a" width="4.1" height="4.1" patternUnits="userSpaceOnUse">
            <path
              d="m0 0v4.09h0.4v-0.85l0.42 0.381v0.469h0.4v-0.0996l0.109 0.0996h0.711v-0.799l0.42 0.379v0.42h0.398v-0.0488l0.0547 0.0488h0.766v-0.75l0.42 0.381v0.369h0.4v-4.09h-0.4v0.311l-0.334-0.311h-0.598l0.111 0.0996v0.9l-0.42-0.379v-0.621h-0.398v0.25l-0.277-0.25h-0.6l0.0566 0.0508v0.9l-0.42-0.381v-0.57h-0.4v0.201l-0.223-0.201zm0.4 0.359 0.42 0.381v0.9l-0.42-0.381zm1.64 0.0508 0.42 0.391v0.889l-0.42-0.379zm1.64 0.0605 0.42 0.379v0.891l-0.42-0.381zm-2.46 0.639 0.42 0.381v0.9l-0.42-0.381zm1.64 0.0508 0.42 0.381v0.898l-0.42-0.379zm-2.46 0.641 0.42 0.379v0.9l-0.42-0.379zm1.64 0.0488 0.42 0.381v0.9l-0.42-0.381zm1.64 0.0508 0.42 0.379v0.9l-0.42-0.379zm-2.46 0.65 0.42 0.379v0.9l-0.42-0.379zm1.64 0.0488 0.42 0.381v0.9l-0.42-0.381z"
              fill="#949392"
            />
          </pattern>
          <g id="pin">
            <path
              fill="#c6bf95"
              d="m29 4.6c0.382 0 0.748-0.152 1.02-0.422s0.422-0.636 0.422-1.02v-1e-3c0-0.382-0.152-0.748-0.422-1.02s-0.636-0.422-1.02-0.422h-26.1c-0.234 0-0.423 0.189-0.423 0.423v2.04c0 0.234 0.189 0.423 0.423 0.423h26.1z"
            />
            <rect x="0" y="0" width="6.9" height="6.9" />
          </g>
        </defs>

        <!-- Board -->
        <path
          d="m113 0h-113v59.5h113zm-1.6 53.2c0 2.62-2.12 4.74-4.74 4.74s-4.74-2.12-4.74-4.74c0-2.62 2.12-4.74 4.74-4.74s4.74 2.12 4.74 4.74zm-110 0c0 2.62 2.12 4.74 4.74 4.74 2.62 0 4.74-2.12 4.74-4.74 0-2.62-2.12-4.74-4.74-4.74-2.62 0-4.74 2.12-4.74 4.74zm105-51.6c2.62 0 4.74 2.12 4.74 4.74 0 2.62-2.12 4.74-4.74 4.74s-4.74-2.12-4.74-4.74c0-2.62 2.12-4.74 4.74-4.74zm-101 0c-2.62 0-4.74 2.12-4.74 4.74 0 2.62 2.12 4.74 4.74 4.74 2.62 0 4.74-2.12 4.74-4.74 0-2.62-2.12-4.74-4.74-4.74z"
          fill="#0664af"
        />

        <!-- Pins -->
        <use xlink:href="#pin" x="107" y="12" />
        <use xlink:href="#pin" x="107" y="21.3" />
        <use xlink:href="#pin" x="107" y="31.1" />
        <use xlink:href="#pin" x="107" y="40.9" />

        <!-- Sensor -->
        <circle cx="47.7" cy="29.8" r="31.2" fill="none" stroke="#fff" stroke-width=".4px" />
        <circle cx="47.7" cy="29.8" r="28.8" fill="#dedede" />
        <circle cx="47.7" cy="29.8" r="25.8" fill="#d0ccc4" />
        <circle cx="47.7" cy="29.8" r="21.4" fill="#bab3ad" />
        <circle cx="47.7" cy="29.8" r="21.4" fill="url(#a)" />

        <text fill="#ffffff" font-family="sans-serif" font-size="3.72px">
          <tspan x="94.656" y="16.729">AOUT</tspan>
          <tspan x="94.656" y="26.098">DOUT</tspan>
          <tspan x="94.656" y="35.911">GND</tspan>
          <tspan x="94.656" y="45.696">VCC</tspan>
        </text>

        <!-- LEDs -->

        <rect
          style="opacity:1;fill:#999999;stroke-width:1.5747;paint-order:stroke markers fill"
          id="rect17"
          width="8.5262499"
          height="3.8281121"
          x="81.321793"
          y="5.8179226"
        />
        <rect
          style="opacity:1;fill:#e6e6e6;stroke-width:2.05589;paint-order:stroke markers fill"
          id="rect18"
          width="4.8444595"
          height="3.8281121"
          x="83.162689"
          y="5.8179226"
        />
        ${ledPower &&
            svg `<circle cx="85.5" cy="8" r="1.8" fill="#03f704" filter="url(#ledFilter)" />`}
        <rect
          style="fill:#999999;stroke-width:1.5747;paint-order:stroke markers fill"
          id="rect17-9"
          width="8.5262499"
          height="3.8281121"
          x="81.018036"
          y="48.700188"
        />
        <rect
          style="fill:#e6e6e6;stroke-width:2.05589;paint-order:stroke markers fill"
          id="rect18-0"
          width="4.8444595"
          height="3.8281121"
          x="82.858932"
          y="48.700188"
        />
        ${ledD0 && svg `<circle cx="85" cy="50" r="1.8" fill="#03f704" filter="url(#ledFilter)" />`}
        <text fill="#ffffff" font-family="sans-serif" font-size="3px">
          <tspan x="80.213432" y="4.7265162">PWR LED</tspan>
          <tspan x="80.463821" y="55.852409">D0 LED</tspan>
        </text>
      </svg>
    `;
    }
};
__decorate([
    property()
], GasSensorElement.prototype, "ledPower", void 0);
__decorate([
    property()
], GasSensorElement.prototype, "ledD0", void 0);
GasSensorElement = __decorate([
    customElement('wokwi-gas-sensor')
], GasSensorElement);
export { GasSensorElement };
