import { LitElement } from 'lit';
import { ElementPin } from './pin';
export declare class LCD1602Element extends LitElement {
    color: string;
    background: string;
    characters: number[] | Uint8Array;
    font: Uint8Array;
    cursor: boolean;
    blink: boolean;
    cursorX: number;
    cursorY: number;
    backlight: boolean;
    pins: 'full' | 'i2c' | 'none';
    protected numCols: number;
    protected numRows: number;
    get text(): string;
    set text(value: string);
    static get styles(): import("lit").CSSResult;
    protected get panelHeight(): number;
    get pinInfo(): ElementPin[];
    get cols(): number;
    get rows(): number;
    update(changedProperties: Map<string, unknown>): void;
    path(characters: Uint8Array | number[]): string;
    renderCursor(): import("lit-html").TemplateResult<2>[] | null;
    renderI2CPins(): import("lit-html").TemplateResult<2>;
    renderPins(panelHeight: number): import("lit-html").TemplateResult<2>;
    render(): import("lit-html").TemplateResult<1>;
}
