import { LitElement } from 'lit';
import { ElementPin } from './pin';
export declare class MembraneKeypadElement extends LitElement {
    /**
     * Number of columns (3 or 4)
     */
    columns: '3' | '4';
    /**
     * Whether to display a connector beneath the keypad
     */
    connector: boolean;
    /**
     * Key labels
     */
    keys: string[];
    get pinInfo(): ElementPin[];
    update(changedProperties: Map<string, unknown>): void;
    private pressedKeys;
    renderKey(row: number, column: number): import("lit-html").TemplateResult<2>;
    render(): import("lit-html").TemplateResult<1>;
    private keyIndex;
    private down;
    private up;
    private keyStrokeDown;
    private keyStrokeUp;
}
