import { LitElement } from 'lit';
import { ElementPin } from './pin';
/** The potentiometer SVG is taken from https://freesvg.org/potentiometer and some of the
    functions are taken from https://github.com/vitaliy-bobrov/js-rocks knob component */
export declare class PotentiometerElement extends LitElement {
    min: number;
    max: number;
    value: number;
    step: number;
    startDegree: number;
    endDegree: number;
    private pressed;
    private pageToKnobMatrix;
    readonly pinInfo: ElementPin[];
    static get styles(): import("lit").CSSResult;
    mapToMinMax(value: number, min: number, max: number): number;
    percentFromMinMax(value: number, min: number, max: number): number;
    render(): import("lit-html").TemplateResult<1>;
    private focusInput;
    private onValueChange;
    private down;
    private move;
    private up;
    private updateKnobMatrix;
    private rotateHandler;
    private updateValue;
}
