import { LitElement } from 'lit';
import { ElementPin } from './pin';
export declare class SSD1306Element extends LitElement {
    /**
     * The pixel data to draw on the element's internal &lt;canvas&gt;.
     * If you change the underlaying pixel data without updating the
     * `imageData` reference, call the `redraw()` method to update the
     * screen with your changes.
     */
    imageData: ImageData;
    readonly width = 150;
    readonly height = 116;
    private screenWidth;
    private screenHeight;
    private canvas;
    private ctx;
    readonly pinInfo: ElementPin[];
    static get styles(): import("lit").CSSResult;
    constructor();
    /**
     * Used for initiating update of an imageData data which its reference wasn't changed
     */
    redraw(): void;
    private initContext;
    firstUpdated(): void;
    updated(): void;
    render(): import("lit-html").TemplateResult<1>;
}
